> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mercoa.com/embedded-ap-ar/api-reference/invoice/comment/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server. # Create POST https://api.mercoa.com/invoice/{invoiceId}/comment Content-Type: application/json Add a comment to this invoice Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/invoice/comment/create ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `invoiceId` (string, required) — Invoice ID or Invoice ForeignID ### Body (application/json) This endpoint expects an object. - `text` (string, required) - `userId` (string, optional) — The ID or the Foreign ID of the user who created the comment. ## Response ### 200 - `id` (string, required) - `text` (string, required) - `createdAt` (datetime, required) - `updatedAt` (datetime, required) - `user` (object, optional) - `id` (string, required) - `roles` (list of string, required) - `createdAt` (datetime, required) - `updatedAt` (datetime, required) - `foreignId` (string, optional) — The ID used to identify this user in your system. - `email` (string, optional) - `name` (string, optional) - `associatedApprovalAction` (object, optional) — If an approval action has triggered the generation of this comment, returns the associated approval action and actor - `userId` (string, required) - `action` (enum, required) - Allowed values: `NONE`, `APPROVE`, `REJECT` ## Errors ### 400 Bad Request - `errorName` ("BadRequest", required) - `content` (string, required) ### 401 Unauthorized - `errorName` ("Unauthorized", required) - `content` (string, required) ### 403 Forbidden - `errorName` ("Forbidden", required) - `content` (string, required) ### 404 Not Found - `errorName` ("NotFound", required) - `content` (string, required) ### 409 Conflict - `errorName` ("Conflict", required) - `content` (string, required) ### 500 Internal Server Error - `errorName` ("InternalServerError", required) - `content` (string, required) ### 501 Unimplemented - `errorName` ("Unimplemented", required) - `content` (string, required) ## Examples **Request** ```json { "text": "This is a comment", "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506" } ``` **Response** ```json { "id": "ic_b3525b66-da94-4525-9f31-426bcf657128", "text": "This is a comment", "createdAt": "2021-01-01T00:00:00Z", "updatedAt": "2021-01-01T00:00:00Z", "user": { "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb", "roles": [ "admin", "approver" ], "createdAt": "2024-01-01T00:00:00Z", "updatedAt": "2024-01-01T00:00:00Z", "foreignId": "MY-DB-ID-12345", "email": "john.doe@acme.com", "name": "John Doe" } } ``` **SDK Code** ```python Default import requests url = "https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment" payload = { "text": "This is a comment", "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript Default import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.invoice.comment.create("in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff", { text: "This is a comment", userId: "user_e24fc81c-c5ee-47e8-af42-4fe29d895506" }); ``` ```go Default package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment" payload := strings.NewReader("{\n \"text\": \"This is a comment\",\n \"userId\": \"user_e24fc81c-c5ee-47e8-af42-4fe29d895506\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Default require 'uri' require 'net/http' url = URI("https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"text\": \"This is a comment\",\n \"userId\": \"user_e24fc81c-c5ee-47e8-af42-4fe29d895506\"\n}" response = http.request(request) puts response.read_body ``` ```java Default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"text\": \"This is a comment\",\n \"userId\": \"user_e24fc81c-c5ee-47e8-af42-4fe29d895506\"\n}") .asString(); ``` ```php Default request('POST', 'https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment', [ 'body' => '{ "text": "This is a comment", "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Default using RestSharp; var client = new RestClient("https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"text\": \"This is a comment\",\n \"userId\": \"user_e24fc81c-c5ee-47e8-af42-4fe29d895506\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Default import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "text": "This is a comment", "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/comment")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```